Subject: bug#9106: 24.0.50; ./configure causes massive recompilation

From: "Ralf Wildenhues" <[email-masked]>
Date: Wed, 20 Jul 2011 23:04:17 +0200

* Eli Zaretskii wrote on Wed, Jul 20, 2011 at 07:51:08PM CEST:
> > Date: Wed, 20 Jul 2011 10:23:32 -0700
> > From: Paul Eggert <[email-masked]>
> > CC: Ralf Wildenhues <[email-masked]>, [email-masked], 
> >  [email-masked]
> > 
> > On 07/20/11 01:48, Eli Zaretskii wrote:
> > >> You need a separate stamp file to avoid this.
> > > Or use move-if-change with config.status.
> > 
> > That might be better, but it'd need a separate timestamp file, no?
> 
> Probably, sigh.  (I hate Makefile's that run configure for me.)

I guess I don't understand why everyone hates stamp files.[1]
The config.h rule (among others) has been using one for years,
and the last time I've heard complaints or bug reports about it
has been years also.

Cheers,
Ralf

[1] Of course they're not clean and pure and all that, but hey,
you wouldn't be using autoconf in the first place if you cared.